package com.demo.wjj.mapper;

import com.demo.wjj.po.TbImgItem;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Gaogan_pc
 */
public interface TbImgItemMapper {

    /**
     * 获取细节分类
     * @param type
     * @param bqId
     * @return
     */
    List<TbImgItem> queryImgItemList(@Param(value="type") Integer type, @Param(value="bqId") Integer bqId);

    /**
     * 获取细节分类
     * @param type
     * @param
     * @return
     */
    List<TbImgItem> queryImgItemListByType(@Param(value="type") Integer type, @Param(value="bqId") Integer bqId);

    /**
     * 根据id 查询对象
     * @param detailId
     * @return
     */
    TbImgItem findOne(Integer detailId);

}
